Article ID: 124674, created on Mar 1, 2015, last review on Mar 1, 2015

  • Applies to:
  • Plesk Automation 11.5

Symptoms

Attempt to register additional PHP handler fails with error:

[root@vz ~]# /usr/local/psa/bin/php_handler --add -id 5.6.5 -displayname 5.6.5 -path /usr/local/php5.6.5/bin/ -phpini /etc/php.ini -type fastcgi -service-node 192.0.2.2
Unable to register the PHP handler: can not get version from /usr/local/php5.6.5/bin/

Cause

The -path parameter specified incorrectly. It shoud point to executable file /usr/local/php5.6.5/bin/php-cgi.

Resolution

Correct the command, having defined the -path parameter correctly, so that it contains the path to executable file:

[root@vz ~]# /usr/local/psa/bin/php_handler --add -id 5.6.5 -displayname 5.6.5 -path /usr/local/php5.6.5/bin/php-cgi -phpini /etc/php.ini -type fastcgi -service-node 192.0.2.2
The new PHP handler with the id "5.6.5" was successfully registered.

Search Words

failed to add php handler

Unable to register the PHP handler: can not get version from

cannot registed php handler

33a70544d00d562bbc5b17762c4ed2b3 caea8340e2d186a540518d08602aa065 e0aff7830fa22f92062ee4db78133079

Email subscription for changes to this article
Save as PDF